Bug 1249113 - kube-apiserver fails to start on boot due to network being unavailable
kube-apiserver fails to start on boot due to network being unavailable
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kubernetes (Show other bugs)
7.1
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Derek Carr
atomic-bugs@redhat.com
: Extras
: 1240563 (view as bug list)
Depends On:
Blocks: 1186913 1298243 1420851
  Show dependency treegraph
 
Reported: 2015-07-31 10:12 EDT by Jake Hunsaker
Modified: 2017-11-14 17:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Hunsaker 2015-07-31 10:12:12 EDT
Description of problem:

During boot, the apiserver process may fail to start as it cannot bind to an IP address, resulting in this error:


 Unable to find suitable network address.error='Unable to select an IP.' . Will try again in 5 seconds. Set the public address directly to avoid this wait.


This looks like a race condition where apiserver is trying to get a network address before the interface is ready. By enabling NetworkManager-wait-online.service, we never see kube-apiserver to fail on boot with this message.

Version-Release number of selected component (if applicable):

atomic 7.1.3-1
kubernetes-0.17.1-4.el7


How reproducible:
Reliably


Steps to Reproduce:
1. Have NM control the NICs on the host
2. Reboot
3.

Actual results:
kube-apiserver will fail to start on boot (even after retrying several times), but can be started manually without issue.

Expected results:
kube-apiserver should start normally on boot with no manual intervention

Additional info:
Comment 4 Eric Paris 2015-09-23 11:30:04 EDT
*** Bug 1240563 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.